<?php
/**
 * @package   AkeebaTicketSystem
 * @copyright Copyright (c)2011-2015 Nicholas K. Dionysopoulos
 * @license   GNU General Public License version 3, or later
 */
namespace Akeeba\TicketSystem\Site\Controller;

use Akeeba\TicketSystem\Site\Model\Tickets;
use FOF30\Container\Container;
use FOF30\Controller\DataController;

defined('_JEXEC') or die;

class My extends DataController
{
    public function __construct(Container $container, array $config = array())
    {
        parent::__construct($container, $config);

        $this->modelName      = 'Tickets';
        $this->cacheableTasks = array();
    }

    public function execute($task)
    {
        $task = 'browse';

        return parent::execute($task);
    }

    protected function onBeforeBrowse()
    {
        $platform = $this->container->platform;

        if($platform->getUser()->guest)
        {
            // Not a logged in user, redirect to login page
            $returl = base64_encode(\JUri::getInstance()->toString());
            $url    = \JRoute::_('index.php?option=com_users&view=login&return='.$returl, false);

            \JFactory::getApplication()->redirect($url, \JText::_('JLIB_APPLICATION_ERROR_ACCESS_FORBIDDEN'));
        }

        /** @var Tickets $model */
        $model = $this->getModel();
        $model->viewName = $this->viewName;
    }
}